## celery 3.1.20

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command-line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d .build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf .build/*

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

coverage:
	mkdir -p .build/coverage .build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) .build/coverage
	@echo
	@echo "Build finished."

pickle:
	mkdir -p .build/pickle .build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) .build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p .build/json .build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) .build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## celery 2.4.6

=== debian/changelog ===
celery (2.4.6-1) unstable; urgency=low

  * New upstream release.
    Fixes: CVE-2011-4356
  * Update copyright to 2012.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 02 Jan 2012 12:45:47 +0100

celery (2.4.5-1) unstable; urgency=low

  * Initial release (Closes: #526350)

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 27 Dec 2011 11:57:41 +0100

=== debian/control ===
Source: celery
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 7.0.50~),
               docbook-to-man,
               dvipng,
               texlive-latex-base,
               texlive-latex-extra,
               python-all (>= 2.7),
               python-amqplib,
               python-anyjson (>= 0.3.1),
               python-dateutil (>= 1.5),
               python-doc,
               python-gevent,
               python-kombu (>= 1.4.3),
               python-kombu-doc (>= 1.4.3),
               python-mailer,
               python-memcache,
               python-mock,
               python-nose,
               python-pyparsing,
               python-pytyrant,
               python-redis,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-sphinxcontrib.issuetracker,
               python-sqlalchemy
X-Python-Version: >= 2.7
Standards-Version: 3.9.2
Homepage: http://github.com/ask/celery/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/celery/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/celery/trunk/

Package: python-celery
Architecture: all
Depends: python-amqplib,
         python-anyjson (>= 0.3.1),
         python-dateutil (>= 1.5),
         python-kombu (>= 1.4.3),
         python-mailer,
         python-memcache,
         python-pkg-resources,
         python-pyparsing,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-gevent, python-pytyrant, python-redis, python-sqlalchemy
Description: async task/job queue based on message passing
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.

Package: python-celery-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_installman
override_dh_installman:
	set -e ; \
	for doc in camqadm celerybeat celeryd-multi celeryd celeryev celeryctl; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done
	dh_installman

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  rm -f test.db ; \
	  PYTHONPATH=. $$python setup.py test ; \
	done
endif

#.PHONY: override_dh_compress
#override_dh_compress:
#	dh_compress -X .js

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf .build
	dh_clean

## celery 2.5.3

=== debian/changelog ===
celery (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Bump dependencies on kombu to (>= 2.1.5).
  * Update patches to remove nose-cover3.
  * Enable init scripts.
  * Update DEP-5 URL to 1.0.
  * Bump to standards version 3.9.3.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 27 Feb 2012 14:58:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python-all (>= 2.7),
                python-amqplib,
                python-anyjson (>= 0.3.1),
+               python-cl,
                python-dateutil (>= 1.5),
                python-doc,
                python-gevent,
-               python-kombu (>= 1.4.3),
-               python-kombu-doc (>= 1.4.3),
+               python-kombu (>= 2.1.5),
+               python-kombu-doc (>= 2.1.5),
                python-mailer,
                python-memcache,
                python-mock,
@@ -28,7 +29,7 @@
                python-sphinxcontrib.issuetracker,
                python-sqlalchemy
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/ask/celery/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/celery/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/celery/trunk/
@@ -37,8 +38,9 @@
 Architecture: all
 Depends: python-amqplib,
          python-anyjson (>= 0.3.1),
+         python-cl,
          python-dateutil (>= 1.5),
-         python-kombu (>= 1.4.3),
+         python-kombu (>= 2.1.5),
          python-mailer,
          python-memcache,
          python-pkg-resources,

=== debian/rules ===
--- 
+++ 
@@ -35,3 +35,12 @@
 	rm -rf .build
 	dh_clean
 
+.PHONY: override_dh_installinit
+override_dh_installinit:
+	ln contrib/generic-init.d/celerybeat debian/python-celery.celerybeat.init
+	ln contrib/generic-init.d/celeryd debian/python-celery.celeryd.init
+	ln contrib/generic-init.d/celeryevcam debian/python-celery.celeryevcam.init
+	dh_installinit --name celerybeat
+	dh_installinit --name celeryd
+	dh_installinit --name celeryevcam
+	dh_installinit --name celery

## celery 3.1.6

=== debian/changelog ===
celery (3.1.6-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop issue tracker for doc generation as it adds a build-dep that it
      is not really necessary for this package to build. This allows us to
      MIR celery without MIR'ing the dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 20:04:17 +0100

celery (3.1.6-1) unstable; urgency=low

  [ Michael Fladischer ]
  * New upstream release (Closes: #711338).
  * Bump Standards version to 3.9.5.
  * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch
    and build-indep targets.
  * Add build dependency on python-openssl to enable more tests.
  * Add drop_downgrade.patch to remove upstream celery.app detection and
    removal code.
  * Add disable_unstable_tests.patch to disable randomly failing test.
  * Add fix_test_crontab_is_due.patch to fix timeshifts in tests.
  * Add locales to Build-Depends so LC_ALL=C.UTF-8 can be used.
  * Make Build-Depends on python-mock versioned with (>= 1.0.1).
  * Use LC_ALL=C.UTF-8 when running tests.
  * Refresh existing patches.
  * Install upstream changelog.
  * Update upstream homepage URL to the official one.
  * celeryd:
    + Move daemon management scripts to the separate celeryd package.
    + Document change in NEWS.
    + Install init scripts from extra instead of contrib.
    + Move default file from python-celery to celeryd package.
    + Move postinst and postrm files from python-celery to celeryd package.
    + Breaks python-celery (<< 3.0.24-1) to avoid file conflicts.
    + Do not define CELERYD_PID_FILE in /etc/default/celeryd to enable
      automatic generation by init.d script.
    + Drop init.d/celeryevcam as it is no longer shipped by upstream.
  * python-celery
    + Install supervisord from extra instead of contrib.
    + Add versioned dependency on python-billiard.
    + Bump dependency on python-kombu(-doc) to >= 2.5.15.
    + Add dependency on python-tz.
    + Drop depenceny on python-amqplib, it has been replaced by
      python-amqp/python-librabbitmq in python-kombu.
    + Drop dependency on python-anyjson, as it is required by python-kombu which
      already has it set as a versioned dependency.
    + Install celery.1 manpage.
    + Suggest python-celery-doc.
  * python-celery-doc
    + Adapt filenames in d/docs to new upstream names.
    + Update directories in doc-base.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 15 Dec 2013 20:58:41 +0100

celery (2.5.3-4ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Drop issue tracker for doc generation as it adds a build-dep that it
      is not really necessary for this package to build. This allows us to
      MIR celery without MIR'ing the dependency.
      + debian/control: Drop build-dep on python-sphinxcontrib.issuetracker.
      + debian/patches/ubuntu-drop-issuetracker.patch: Drop import in doc
        generation.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 28 Mar 2013 15:38:24 -0400

celery (2.5.3-4) unstable; urgency=low

  * Unconditionally remove /var/log/celery on purge.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 01 Mar 2013 12:17:32 +0100

celery (2.5.3-3) unstable; urgency=low

  * Remove logfiles during purge if user and group are removed.
  * Use /nonexistant as $HOME for user celery.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 12 Feb 2013 08:57:59 +0100

celery (2.5.3-2) unstable; urgency=low

  * Create user celery in maintainer scripts (Closes: #697195).
  * Update year in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 13 Jan 2013 19:10:12 +0100

celery (2.5.3-1ubuntu1) quantal; urgency=low

  * Drop issue tracker for doc generation as it adds a build-dep that it
    is not really necessary for this package to build. This allows us to
    MIR celery without MIR'ing the dependency.
    - debian/control: Drop build-dep on python-sphinxcontrib.issuetracker,
    - debian/patches/ubuntu-drop-issuetracker.patch: Drop import in doc
      generation.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 05 Jul 2012 12:36:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,53 +1,56 @@
 Source: celery
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 8.1.0~),
                docbook-to-man,
                dvipng,
+               locales,
                texlive-latex-base,
                texlive-latex-extra,
                python-all (>= 2.7),
-               python-amqplib,
-               python-anyjson (>= 0.3.1),
+               python-billiard (>= 3.3.0.13),
                python-cl,
                python-dateutil (>= 1.5),
                python-doc,
                python-gevent,
-               python-kombu (>= 2.1.5),
-               python-kombu-doc (>= 2.1.5),
+               python-kombu (>= 3.0.7),
+               python-kombu-doc (>= 3.0.7),
                python-mailer,
                python-memcache,
-               python-mock,
+               python-mock (>= 1.0.1),
                python-nose,
+               python-openssl,
                python-pyparsing,
                python-pytyrant,
                python-redis,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
-               python-sphinxcontrib.issuetracker,
-               python-sqlalchemy
+               python-sqlalchemy,
+               python-tz,
+               python-unittest2
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.3
-Homepage: http://github.com/ask/celery/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/celery/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/celery/trunk/
+Standards-Version: 3.9.5
+Homepage: http://www.celeryproject.org/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/celery/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/celery/trunk/
 
 Package: python-celery
 Architecture: all
-Depends: python-amqplib,
-         python-anyjson (>= 0.3.1),
+Depends: python-billiard (>= 3.3.0.13),
          python-cl,
          python-dateutil (>= 1.5),
-         python-kombu (>= 2.1.5),
+         python-kombu (>= 3.0.7),
          python-mailer,
          python-memcache,
          python-pkg-resources,
          python-pyparsing,
+         python-tz,
          ${misc:Depends},
          ${python:Depends}
-Suggests: python-gevent, python-pytyrant, python-redis, python-sqlalchemy
+Suggests: python-gevent, python-pytyrant, python-redis, python-sqlalchemy, python-celery-doc
 Description: async task/job queue based on message passing
  Celery is an open source asynchronous task queue/job queue based on
  distributed message passing. It is focused on real-time operation,
@@ -89,3 +92,28 @@
  python-django-celery package.
  .
  This package contains the documentation.
+
+Package: celeryd
+Architecture: all
+Depends: python-celery (= ${binary:Version}), ${misc:Depends}, adduser
+Breaks: python-celery (<< 3.0.24-1)
+Suggests: rabbitmq-server
+Description: async task/job queue based on message passing (daemons)
+ Celery is an open source asynchronous task queue/job queue based on
+ distributed message passing. It is focused on real-time operation,
+ but supports scheduling as well.
+ .
+ The execution units, called tasks, are executed concurrently on one
+ or more worker nodes. Tasks can execute asynchronously (in the
+ background) or synchronously (wait until ready).
+ .
+ Celery is written in Python, but the protocol can be implemented
+ in any language. It can also operate with other languages using
+ webhooks.
+ .
+ The recommended message broker is RabbitMQ, but limited support for Redis,
+ Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
+ ORM) is also available. Celery is easy to integrate with Django, using the
+ python-django-celery package.
+ .
+ This package contains the init scripts to start the celery daemons.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

.PHONY: override_dh_installman
override_dh_installman:
	set -e ; \
	for doc in celery camqadm celerybeat celeryd-multi celeryd celeryev celeryctl; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done
	dh_installman

.PHONY: override_dh_auto_build
override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	dh_auto_build

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for python in $(shell pyversions -r); do \
	  rm -f test.db ; \
	  PYTHONPATH=. LC_ALL=C.UTF-8 $$python setup.py test ; \
	done
endif

#.PHONY: override_dh_compress
#override_dh_compress:
#	dh_compress -X .js

.PHONY: override_dh_clean
override_dh_clean:
	rm -rf .build
	dh_clean

.PHONY: override_dh_installinit
override_dh_installinit:
	ln extra/generic-init.d/celerybeat debian/celeryd.celerybeat.init
	ln extra/generic-init.d/celeryd debian/celeryd.celeryd.init
	dh_installinit --name celerybeat
	dh_installinit --name celeryd

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs Changelog

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/c/celery/celery-([\d\.]+)\.tar\.gz

## celery 3.1.12

=== debian/changelog ===
celery (3.1.12-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Drop python-cl from Depends and Build-Depends as it is no longer needed.

  [ Brian May ]
  * Python3 package. Closes: #753555.
  * Change certificate test, as test certificate has expired. Closes: #757897.

 -- Brian May <bam@debian.org>  Wed, 13 Aug 2014 12:13:59 +1000

celery (3.1.12-1) unstable; urgency=low

  * New upstream release.
  * Drop python-sphinxcontrib.issuetracker from Build-Depends as it is no
    longer needed (Closes: #750528).
  * Bump Depends and Build-Depends for kombu to 3.0.19.
  * Add autopkgtest that runs the upstream test suite against the installed
    packages.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 24 Jun 2014 22:37:27 +0200

celery (3.1.11-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Replace duplicate file in documentation with symlink.
  * Bump Build-Depends and Depends for python-billiard to (>= 3.3.0.17).
  * Bump Build-Depends and Depends for python-kombu to (>= 3.0.15).
  * Update files in celery.egg-info to be cleaned.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 23 Apr 2014 15:31:00 +0200

celery (3.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop fix_dependencies.patch, as it is no longer needed.
  * Add privacy.patch to drop external assets from documentation.
  * Bump Build-Depends and Depends on python-billiard to >= 3.3.15.
  * Bump Build-Depends and Depends on python-kombu to >= 3.0.12.
  * Manually copy logo image to documentation as it does not get picked up by
    sphinx automatically.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 11 Feb 2014 13:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,56 +1,101 @@
 Source: celery
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: debhelper (>= 8.1.0~),
-               docbook-to-man,
-               dvipng,
-               locales,
-               texlive-latex-base,
-               texlive-latex-extra,
-               python-all (>= 2.7),
-               python-billiard (>= 3.3.0.13),
-               python-cl,
-               python-dateutil (>= 1.5),
-               python-doc,
-               python-gevent,
-               python-kombu (>= 3.0.7),
-               python-kombu-doc (>= 3.0.7),
-               python-mailer,
-               python-memcache,
-               python-mock (>= 1.0.1),
-               python-nose,
-               python-openssl,
-               python-pyparsing,
-               python-pytyrant,
-               python-redis,
-               python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
-               python-sqlalchemy,
-               python-tz,
-               python-unittest2
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+ Brian May <bam@debian.org>
+Build-Depends: debhelper (>= 8.1.0~), dh-python,
+ docbook-to-man, dvipng, locales, texlive-latex-base, texlive-latex-extra,
+ python-all (>= 2.7), python-billiard (>= 3.3.0.17),
+ python-dateutil (>= 1.5), python-doc,
+ python-kombu (>= 3.0.19), python-kombu-doc (>= 3.0.19),
+ python-memcache, python-mock (>= 1.0.1), python-nose,
+ python-openssl, python-pyparsing,
+ python-redis, python-setuptools, python-sphinx (>= 1.0.7+dfsg),
+ python-sqlalchemy, python-tz, python-unittest2,
+ python-gevent, python-mailer, python-pytyrant,
+ python3-all, python3-billiard (>= 3.3.0.17),
+ python3-dateutil (>= 1.5), python3-doc,
+ python3-kombu (>= 3.0.19), python-kombu-doc (>= 3.0.19),
+ python3-memcache, python3-mock (>= 1.0.1), python3-nose,
+ python3-openssl, python3-pyparsing,
+ python3-redis, python3-setuptools, python3-sphinx (>= 1.0.7+dfsg),
+ python3-sqlalchemy, python3-tz,
+# python3-gevent, python3-mailer, python3-pytyrant,
 X-Python-Version: >= 2.7
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.5
 Homepage: http://www.celeryproject.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/celery/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/celery/trunk/
 
+Package: python-celery-common
+Depends: ${misc:Depends}
+Architecture: all
+Description: async task/job queue based on message passing
+ Celery is an open source asynchronous task queue/job queue based on
+ distributed message passing. It is focused on real-time operation,
+ but supports scheduling as well.
+ .
+ The execution units, called tasks, are executed concurrently on one
+ or more worker nodes. Tasks can execute asynchronously (in the
+ background) or synchronously (wait until ready).
+ .
+ Celery is written in Python, but the protocol can be implemented
+ in any language. It can also operate with other languages using
+ webhooks.
+ .
+ The recommended message broker is RabbitMQ, but limited support for Redis,
+ Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
+ ORM) is also available. Celery is easy to integrate with Django, using the
+ python-django-celery package.
+
+
 Package: python-celery
 Architecture: all
-Depends: python-billiard (>= 3.3.0.13),
-         python-cl,
+Depends: python-billiard (>= 3.3.0.17),
          python-dateutil (>= 1.5),
-         python-kombu (>= 3.0.7),
+         python-kombu (>= 3.0.19),
          python-mailer,
          python-memcache,
          python-pkg-resources,
          python-pyparsing,
          python-tz,
+         python-celery-common (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends}
 Suggests: python-gevent, python-pytyrant, python-redis, python-sqlalchemy, python-celery-doc
+Description: async task/job queue based on message passing
+ Celery is an open source asynchronous task queue/job queue based on
+ distributed message passing. It is focused on real-time operation,
+ but supports scheduling as well.
+ .
+ The execution units, called tasks, are executed concurrently on one
+ or more worker nodes. Tasks can execute asynchronously (in the
+ background) or synchronously (wait until ready).
+ .
+ Celery is written in Python, but the protocol can be implemented
+ in any language. It can also operate with other languages using
+ webhooks.
+ .
+ The recommended message broker is RabbitMQ, but limited support for Redis,
+ Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
+ ORM) is also available. Celery is easy to integrate with Django, using the
+ python-django-celery package.
+
+Package: python3-celery
+Architecture: all
+Depends: python3-billiard (>= 3.3.0.17),
+         python3-dateutil (>= 1.5),
+         python3-kombu (>= 3.0.19),
+#         python3-mailer,
+         python3-memcache,
+         python3-pkg-resources,
+         python3-pyparsing,
+         python3-tz,
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python3-gevent, python3-pytyrant, python3-redis, python3-sqlalchemy, python-celery-doc
 Description: async task/job queue based on message passing
  Celery is an open source asynchronous task queue/job queue based on
  distributed message passing. It is focused on real-time operation,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 
+PREFIX = debian/python-celery
+PREFIX3 = debian/python3-celery
+PREFIXC = debian/python-celery-common
+
+export PYBUILD_NAME=celery
+
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 .PHONY: override_dh_installman
 override_dh_installman:
@@ -14,6 +20,7 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
+	ln docs/images/celery_128.png .build/html/_images/celery_128.png
 	dh_auto_build
 
 .PHONY: override_dh_auto_test
@@ -21,6 +28,11 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
 	for python in $(shell pyversions -r); do \
+	  rm -f test.db ; \
+	  PYTHONPATH=. LC_ALL=C.UTF-8 $$python setup.py test ; \
+	done
+	set -e; \
+	for python in $(shell py3versions -r); do \
 	  rm -f test.db ; \
 	  PYTHONPATH=. LC_ALL=C.UTF-8 $$python setup.py test ; \
 	done
@@ -35,6 +47,28 @@
 	rm -rf .build
 	dh_clean
 
+
+.PHONY: override_dh_auto_install
+override_dh_auto_install:
+	dh_auto_install
+
+	set e; for FILENAME in celery celerybeat celeryd celeryd-multi; do \
+	  rm $(PREFIX)/usr/bin/$$FILENAME; \
+	  rm $(PREFIX3)/usr/bin/$$FILENAME; \
+	done
+	rmdir --ignore-fail-on-non-empty --parents $(PREFIX)/usr/bin $(PREFIX3)/usr/bin
+
+
+.PHONY: override_dh_install
+override_dh_install:
+	dh_install
+	
+	# Fix permissions
+	set e; for FILENAME in celery celerybeat celeryd celeryd-multi; do \
+	  chmod 755 $(PREFIXC)/usr/bin/$$FILENAME; \
+	done
+
+
 .PHONY: override_dh_installinit
 override_dh_installinit:
 	ln extra/generic-init.d/celerybeat debian/celeryd.celerybeat.init

## celery 3.1.13

=== debian/changelog ===
celery (3.1.13-3) unstable; urgency=low

  * Drop unnecessary versioned dependencies for packages:
    + python-billiard
    + python3-billiard
    + python3-dateutil
    + python3-kombu
  * Remove python3-sphinx from Build-Depends as it is never used.
  * Rename licenses in d/copyright to conform to version 1.0 machine-
    readable names.
  * Update years and names/mail-adresses in d/copyright.
  * Move manpages to python-celery-common package.
  * Move supervisor configuration example to python-celery-common
    package.
  * Install README.rst as documentation in python3-celery package.
  * Bump Standards-Version to 3.9.6.
  * Specify unique descriptions for each package.
  * Add DEP3 header to fix_tests patch.
  * Remove unused license section for BSD-3-clause after pool.py has
    been dropped by upstream.
  * Do not install manpages for scripts that are no longer present.
  * Line-wrap fields in d/control.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Tue, 21 Oct 2014 15:59:31 +0200

celery (3.1.13-2) unstable; urgency=low

  [Brian May]
  * Remove version requirement in wrappers. Closes: #758640.
  * Add breaks/replaces for python-celery-common as it now contains files
    formally in python-celery.

  [Michael Fladischer]
  * Remove PHONY target declarations in d/rules.

 -- Brian May <bam@debian.org>  Thu, 21 Aug 2014 09:03:40 +1000

celery (3.1.13-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 18 Aug 2014 13:30:19 +1000

=== debian/control ===
Source: celery
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
           Brian May <bam@debian.org>
Build-Depends: debhelper (>= 8.1.0~),
               dh-python,
               docbook-to-man,
               dvipng,
               locales,
               python-all (>= 2.7),
               python-billiard,
               python-dateutil (>= 1.5),
               python-doc,
               python-gevent,
               python-kombu (>= 3.0.19),
               python-kombu-doc (>= 3.0.19),
               python-mailer,
               python-memcache,
               python-mock (>= 1.0.1),
               python-nose,
               python-openssl,
               python-pyparsing,
               python-pytyrant,
               python-redis,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-sqlalchemy,
               python-tz,
               python-unittest2,
               python3-all,
               python3-billiard,
               python3-dateutil,
               python3-doc,
               python3-kombu,
               python3-memcache,
               python3-mock (>= 1.0.1),
               python3-nose,
               python3-openssl,
               python3-pyparsing,
               python3-redis,
               python3-setuptools,
               python3-sqlalchemy,
               python3-tz,
               texlive-latex-base,
               texlive-latex-extra
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest
Standards-Version: 3.9.6
Homepage: http://www.celeryproject.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/celery/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/celery/trunk/

Package: python-celery-common
Depends: ${misc:Depends}
Replaces: python-celery (<< 3.1.12-2)
Breaks: python-celery (<< 3.1.12-2)
Architecture: all
Description: async task/job queue based on message passing (common files)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the common files of the library.

Package: python-celery
Architecture: all
Depends: python-billiard,
         python-celery-common (= ${binary:Version}),
         python-dateutil (>= 1.5),
         python-kombu (>= 3.0.19),
         python-mailer,
         python-memcache,
         python-pkg-resources,
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-celery-doc,
          python-gevent,
          python-pytyrant,
          python-redis,
          python-sqlalchemy
Description: async task/job queue based on message passing (Python2 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 2 version of the library.

Package: python3-celery
Architecture: all
Depends: python3-billiard,
         python3-dateutil,
         python3-kombu,
         python3-memcache,
         python3-pkg-resources,
         python3-pyparsing,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-celery-doc,
          python3-gevent,
          python3-pytyrant,
          python3-redis,
          python3-sqlalchemy
Description: async task/job queue based on message passing (Python3 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 3 version of the library.

Package: python-celery-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

Package: celeryd
Architecture: all
Depends: adduser,
         python-celery (= ${binary:Version}),
         ${misc:Depends}
Breaks: python-celery (<< 3.0.24-1)
Suggests: rabbitmq-server
Description: async task/job queue based on message passing (daemons)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the init scripts to start the celery daemons.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-.PHONY: override_dh_installman
 override_dh_installman:
 	set -e ; \
 	for doc in celery camqadm celerybeat celeryd-multi celeryd celeryev celeryctl; do \
@@ -17,13 +16,11 @@
 	done
 	dh_installman
 
-.PHONY: override_dh_auto_build
 override_dh_auto_build:
 	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
 	ln docs/images/celery_128.png .build/html/_images/celery_128.png
 	dh_auto_build
 
-.PHONY: override_dh_auto_test
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e; \
@@ -38,44 +35,30 @@
 	done
 endif
 
-#.PHONY: override_dh_compress
-#override_dh_compress:
-#	dh_compress -X .js
-
-.PHONY: override_dh_clean
 override_dh_clean:
 	rm -rf .build
 	dh_clean
 
-
-.PHONY: override_dh_auto_install
 override_dh_auto_install:
 	dh_auto_install
-
 	set e; for FILENAME in celery celerybeat celeryd celeryd-multi; do \
 	  rm $(PREFIX)/usr/bin/$$FILENAME; \
 	  rm $(PREFIX3)/usr/bin/$$FILENAME; \
 	done
 	rmdir --ignore-fail-on-non-empty --parents $(PREFIX)/usr/bin $(PREFIX3)/usr/bin
 
-
-.PHONY: override_dh_install
 override_dh_install:
 	dh_install
-	
 	# Fix permissions
 	set e; for FILENAME in celery celerybeat celeryd celeryd-multi; do \
 	  chmod 755 $(PREFIXC)/usr/bin/$$FILENAME; \
 	done
 
-
-.PHONY: override_dh_installinit
 override_dh_installinit:
 	ln extra/generic-init.d/celerybeat debian/celeryd.celerybeat.init
 	ln extra/generic-init.d/celeryd debian/celeryd.celeryd.init
 	dh_installinit --name celerybeat
 	dh_installinit --name celeryd
 
-.PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.python.org/packages/source/c/celery/celery-([\d\.]+)\.tar\.gz

## celery 3.1.18

=== debian/changelog ===
celery (3.1.18-1ubuntu1) wily; urgency=medium

  * debian/patches/ix-test-failures.patch: Fix test suite failures. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 Jul 2015 10:46:56 -0400

celery (3.1.18-1) unstable; urgency=medium

  * New upstream release (Closes: #762963).
  * Drop fix-tests patch since the certificate expiration test is now
    skipped by upstream.
  * Refresh patches.
  * Bump dependencies on python(3)-kombu to >= 3.0.24.
  * Source /lib/lsb/init-functions in all init scripts.
  * Drop XS-Testsuite as dpkg can now do autodetection.
  * Add X-Python3-Version for versions => 3.3.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Wed, 20 May 2015 16:01:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: celery
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 8.1.0~),
                dh-python,
@@ -14,8 +15,8 @@
                python-dateutil (>= 1.5),
                python-doc,
                python-gevent,
-               python-kombu (>= 3.0.19),
-               python-kombu-doc (>= 3.0.19),
+               python-kombu (>= 3.0.24),
+               python-kombu-doc (>= 3.0.24),
                python-mailer,
                python-memcache,
                python-mock (>= 1.0.1),
@@ -46,7 +47,7 @@
                texlive-latex-base,
                texlive-latex-extra
 X-Python-Version: >= 2.7
-XS-Testsuite: autopkgtest
+X-Python3-Version: >= 3.3
 Standards-Version: 3.9.6
 Homepage: http://www.celeryproject.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/celery/trunk/
@@ -82,7 +83,7 @@
 Depends: python-billiard,
          python-celery-common (= ${binary:Version}),
          python-dateutil (>= 1.5),
-         python-kombu (>= 3.0.19),
+         python-kombu (>= 3.0.24),
          python-mailer,
          python-memcache,
          python-pkg-resources,
@@ -119,7 +120,7 @@
 Architecture: all
 Depends: python3-billiard,
          python3-dateutil,
-         python3-kombu,
+         python3-kombu (>= 3.0.24),
          python3-memcache,
          python3-pkg-resources,
          python3-pyparsing,
@@ -127,8 +128,6 @@
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-celery-doc,
-          python3-gevent,
-          python3-pytyrant,
           python3-redis,
           python3-sqlalchemy
 Description: async task/job queue based on message passing (Python3 version)

## celery 3.1.20

=== debian/changelog ===
celery (3.1.20-1) unstable; urgency=low

  * New upstream release.
  * Reverse dependencies between python(3)-celery and python-celery-common as
    the later only provides supplemental tools depending on the actual
    implementation.
  * Refresh patch to remove external assets from documentation.
  * Bump all dependencies on billiard to >= 3.3.0.22.
  * Bump all dependencies on kombu to >= 3.0.33.
  * Demote python-kombu-doc to an unversioned Build-Depends.
  * Use https in Vcs-Git field.

 -- Michael Fladischer <fladi@debian.org>  Mon, 01 Feb 2016 10:49:26 +0100

celery (3.1.19-3) unstable; urgency=medium

  * Requires python-billiard 3.3.0.21 or later. Closes: #810899.

 -- Brian May <bam@debian.org>  Thu, 14 Jan 2016 11:06:44 +1100

celery (3.1.19-2) unstable; urgency=medium

  * Fix debian/copyright. Closes: #803117.

 -- Brian May <bam@debian.org>  Mon, 30 Nov 2015 12:55:10 +1100

celery (3.1.19-1) unstable; urgency=medium

  * New upstream release.
  * Add 0007-Update-license.patch from upstream. Closes: #803117.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 10:33:01 +1100

celery (3.1.18-3) unstable; urgency=medium

  * Add 0007-Improve-the-magic-module-check-Closes-801640.patch from upstream
    to fix magic module check (Closes: #801640).
  * Add 0008-ci-Tests-passing-on-Python-3.5.patch from upstream to make tests
    pass on Python3.5.
  * Update Vcs fields for git migration.
  * Initialize git-dpm.
  * Bump debhelper compatibility and version to 9.

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2015 18:47:46 +0200

celery (3.1.18-2) unstable; urgency=medium

  * Add fix_test_typos.patch to fix misspelled method names in unit
    tests (Closes: #795393).

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Aug 2015 21:07:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: celery
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                docbook-to-man,
                dvipng,
                locales,
                python-all (>= 2.7),
-               python-billiard,
+               python-billiard (>= 3.3.0.22),
                python-dateutil (>= 1.5),
                python-doc,
                python-gevent,
-               python-kombu (>= 3.0.24),
-               python-kombu-doc (>= 3.0.24),
+               python-kombu (>= 3.0.33),
+               python-kombu-doc,
                python-mailer,
                python-memcache,
                python-mock (>= 1.0.1),
@@ -31,10 +30,10 @@
                python-tz,
                python-unittest2,
                python3-all,
-               python3-billiard,
+               python3-billiard (>= 3.3.0.22),
                python3-dateutil,
                python3-doc,
-               python3-kombu,
+               python3-kombu (>= 3.0.33),
                python3-memcache,
                python3-mock (>= 1.0.1),
                python3-nose,
@@ -50,11 +49,12 @@
 X-Python3-Version: >= 3.3
 Standards-Version: 3.9.6
 Homepage: http://www.celeryproject.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/celery/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/celery/trunk/
+Vcs-Git: https://anonscm.debian.org/python-modules/packages/celery.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/celery.git
 
 Package: python-celery-common
-Depends: ${misc:Depends}
+Depends: python3-celery (= ${binary:Version}) | python-celery (= ${binary:Version}),
+         ${misc:Depends}
 Replaces: python-celery (<< 3.1.12-2)
 Breaks: python-celery (<< 3.1.12-2)
 Architecture: all
@@ -80,10 +80,9 @@
 
 Package: python-celery
 Architecture: all
-Depends: python-billiard,
-         python-celery-common (= ${binary:Version}),
+Depends: python-billiard (>= 3.3.0.22),
          python-dateutil (>= 1.5),
-         python-kombu (>= 3.0.24),
+         python-kombu (>= 3.0.33),
          python-mailer,
          python-memcache,
          python-pkg-resources,
@@ -118,9 +117,9 @@
 
 Package: python3-celery
 Architecture: all
-Depends: python3-billiard,
+Depends: python3-billiard (>= 3.3.0.22),
          python3-dateutil,
-         python3-kombu (>= 3.0.24),
+         python3-kombu (>= 3.0.33),
          python3-memcache,
          python3-pkg-resources,
          python3-pyparsing,

=== debian/rules ===
--- 
+++ 
@@ -22,18 +22,8 @@
 	dh_auto_build
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; \
-	for python in $(shell pyversions -r); do \
-	  rm -f test.db ; \
-	  PYTHONPATH=. LC_ALL=C.UTF-8 $$python setup.py test ; \
-	done
-	set -e; \
-	for python in $(shell py3versions -r); do \
-	  rm -f test.db ; \
-	  PYTHONPATH=. LC_ALL=C.UTF-8 $$python setup.py test ; \
-	done
-endif
+	PYTHONPATH=. LC_ALL=C.UTF-8 \
+	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"
 
 override_dh_clean:
 	rm -rf .build
